ADAM_2.12: Core 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package io
  Definition Classes
    adam
- FastqInputFormat
- FastqRecordReader
- InterleavedFastqInputFormat
- SingleFastqInputFormat

c

org.bdgenomics.adam.io

# InterleavedFastqInputFormat 

###

#### final class InterleavedFastqInputFormat extends FastqInputFormat

This class is a Hadoop reader for "interleaved fastq" -- that is, fastq with paired reads in the same file, interleaved, rather than in two separate files. This makes it much easier to Hadoopily slice up a single file and feed the slices into an aligner. The format is the same as fastq, but records are expected to alternate between /1 and /2. As a precondition, we assume that the interleaved FASTQ files are always uncompressed; if the files are compressed, they cannot be split, and thus there is no reason to use the interleaved format.

This reader is based on the FastqInputFormat that's part of Hadoop-BAM, found at https://github.com/HadoopGenomics/Hadoop-BAM/blob/master/src/main/java/org/seqdoop/hadoop_bam/FastqInputFormat.java

Linear Supertypes
FastqInputFormat, FileInputFormat[Void, Text], InputFormat[Void, Text], AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. InterleavedFastqInputFormat
2. FastqInputFormat
3. FileInputFormat
4. InputFormat
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new InterleavedFastqInputFormat()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def addInputPathRecursively(arg0: List[FileStatus], arg1: FileSystem, arg2: Path, arg3: PathFilter): Unit
   Attributes
     protected[input]
   Definition Classes
     FileInputFormat
   Annotations
     @throws( classOf[java.io.IOException] )
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
7.  def computeSplitSize(arg0: Long, arg1: Long, arg2: Long): Long
   Attributes
     protected[input]
   Definition Classes
     FileInputFormat
8.  def createRecordReader(genericSplit: InputSplit, context: TaskAttemptContext): RecordReader[Void, Text]

   Creates the new record reader that underlies this input format.

   Creates the new record reader that underlies this input format.

   genericSplit

     The split that the record reader should read.

   context

     The Hadoop task context.

   returns

     Returns the interleaved FASTQ record reader.

   Definition Classes
     InterleavedFastqInputFormat → InputFormat
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
11.  def getBlockIndex(arg0: Array[BlockLocation], arg1: Long): Int
    Attributes
      protected[input]
    Definition Classes
      FileInputFormat
12.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
13.  def getFormatMinSplitSize(): Long
    Attributes
      protected[input]
    Definition Classes
      FileInputFormat
14.  def getSplits(arg0: JobContext): List[InputSplit]
    Definition Classes
      FileInputFormat → InputFormat
    Annotations
      @throws( classOf[java.io.IOException] )
15.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  def isSplitable(context: JobContext, filename: Path): Boolean

    Checks to see if the file we are looking at is splittable.

    Checks to see if the file we are looking at is splittable.

    A file is splittable if it is:

    - Uncompressed. - Compressed with the BGZFEnhancedGzipCodec _and_ the underlying stream is a BGZF stream. BGZFEnhancedGzipCodec looks for files with a .gz extension, which means that the codec may be selected if the file is a non-block GZIPed file, and thus is non-splittable. To validate this, we use HTSJDKs in-built mechanism for checking if a stream is a BGZF stream. - Any other splittable codec (e.g., .bgz/BGZFCodec, .bz2/BZip2Codec)

    context

      The job context to get the configuration from.

    filename

      The path the input file is saved at.

    returns

      Returns false if this file is compressed.

    Attributes
      protected[io]
    Definition Classes
      FastqInputFormat → FileInputFormat
    Annotations
      @Override()
18.  def listStatus(arg0: JobContext): List[FileStatus]
    Attributes
      protected[input]
    Definition Classes
      FileInputFormat
    Annotations
      @throws( classOf[java.io.IOException] )
19.  def makeSplit(arg0: Path, arg1: Long, arg2: Long, arg3: Array[String], arg4: Array[String]): FileSplit
    Attributes
      protected[input]
    Definition Classes
      FileInputFormat
20.  def makeSplit(arg0: Path, arg1: Long, arg2: Long, arg3: Array[String]): FileSplit
    Attributes
      protected[input]
    Definition Classes
      FileInputFormat
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
23.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
24.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
25.  def toString(): String
    Definition Classes
      AnyRef → Any
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
28.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from FastqInputFormat

### Inherited from FileInputFormat[Void, Text]

### Inherited from InputFormat[Void, Text]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped